常见maven引用

json-lib是需要区分jdk版本的,pom.xml中的配置应加上标签,如用jdk15: Java
强烈推介IDEA2020.2破解激活,IntelliJ IDEA 注册码,2020.2 IDEA 激活码

json-lib

Could not find artifact net.sf.json-lib:json-lib:jar

json-lib是需要区分jdk版本的,pom.xml中的配置应加上<classifier>标签,如用jdk15:

<dependency>
		    <groupId>net.sf.json-lib</groupId>
		    <artifactId>json-lib</artifactId>
		    <version>2.4</version>
             <classifier>jdk15</classifier>
</dependency> 

总之,以上<classifier>标签是必须的,如果还是Missing,可能是因为网络原因导致下载失败。

官方maven库

http://mvnrepository.com/artifact/net.sf.json-lib/json-lib

StringUtils

这个类处理字符串非常好用,他的maven是commons-lang

http://mvnrepository.com/artifact/org.apache.commons/commons-lang3/3.4

<dependency>
	<groupId>org.apache.commons</groupId>
	<artifactId>commons-lang3</artifactId>
	<version>3.4</version>
</dependency>

mybaits

<dependency>
            <groupId>org.mybatis</groupId>
            <artifactId>mybatis</artifactId>
            <version>3.3.0</version>
        </dependency>

MySQL

<dependency>
	<groupId>mysql</groupId>
	<artifactId>mysql-connector-java</artifactId>
	<version>5.1.30</version>
</dependency>

Sqlserver

<dependency>
            <groupId>com.hynnet</groupId>
            <artifactId>sqljdbc4-chs</artifactId>
            <version>4.0.2206.100</version>
        </dependency>
本文来源21aspnet,由架构君转载发布,观点不代表Java架构师必看的立场,转载请标明来源出处:https://javajgs.com/archives/2273

发表评论